<div *ngIf="profile" nz-row nzGutter="18" id="topbar-game">
  <div nz-col nzMd="24" nzXs="24" nzSm="24" style="text-align: center; margin-top: 3px">
    <nz-card nzSize="small" [nzTitle]="profileTpl" nzHoverable
      [routerLink]="['/', profile.entityType.toLowerCase(), profile.id]">
      <ng-template #profileTpl>
        <div style="vertical-align: middle;">
          <nz-avatar [nzShape]="'square'" [nzSize]="20" style="width: 20px; height: auto;" [nzIcon]="'user'"
            [nzSrc]="profile.avatar">
          </nz-avatar>
          <span style="padding-left: 10px;">{{ profile.name }}</span>
        </div>
      </ng-template>

      <div *ngIf="profile.entityType == 'citizen'" [nzTooltipTitle]="'Citizen.Wellness' | translate" nz-tooltip
        class="progress-bar">
        <div class="circle">
          {{ profile.health }}
        </div>
        <div class="bar-title">
          <span nz-icon nzType="heart" nzTheme="outline" style="margin-right: 3%; color: rgb(182, 8, 8)"></span> {{
          'Citizen.Wellness' |
          translate }}
        </div>
        <div class="bar">
          <nz-progress [nzPercent]="profile.health" [nzShowInfo]="false" nzSize="small" style="margin-top: -2px;">
          </nz-progress>
        </div>
      </div>

      <div *ngIf="profile.entityType == 'citizen'" nzTooltipTitle="Experience" nz-tooltip class="progress-bar">
        <div class="circle">{{ profile.experiencePercentage }}%</div>
        <div class="bar-title">
          <span nz-icon nzType="crown" nzTheme="outline" style="margin-right: 3%; color: #f2b10d"></span> {{
          'Economy.Market.Abilities.Experience' | translate }}
        </div>
        <div class="bar">
          <nz-progress [nzPercent]="profile.experiencePercentage" [nzShowInfo]="false" nzSize="small"
            style="margin-top: -2px"></nz-progress>
        </div>
      </div>
    </nz-card>
  </div>

  <div nz-col nzMd="24" nzXs="24" nzSm="24" style="text-align: center; margin-top: 3px">
    <nz-card nzSize="small" [nzTitle]="wallet" nzHoverable [routerLink]="['/inventory']"
      [nzLoading]="currencies === undefined">
      <ng-template #wallet>
        <span nz-icon nzType="wallet" nzTheme="outline" style="color: #3b8eed;"></span>
        {{'Common.Wallet' | translate}}
      </ng-template>


      <div nz-row style="margin-top: 5px" class="wallet-container" *ngFor="let item of currencies">
        <img [src]="item?.currency.flagLocation" class="avatar-small" />
        <span style="font-size: 14px">{{ item?.amount | number: "1.2-2" }}
          {{ item?.currency.symbol | translate }}</span>
      </div>
    </nz-card>
  </div>

  <div nz-col nzMd="24" nzXs="24" nzSm="24" style="text-align: center; margin-top: 3px">
    <nz-card nzSize="small" [nzTitle]="Location" nzHoverable [nzLoading]="!profile">
      <ng-template #Location>
        <span nz-icon nzType="pushpin" nzTheme="outline" style="color:#f20d0d"></span>
        {{'Common.Location' | translate}}
      </ng-template>
      <div [routerLink]="['/region', profile.region?.id]">
        {{ 'Common.Region' | translate }}: <a href="/region/{{ profile.region?.id }}">
          {{ profile.region?.name }}
        </a>
      </div>
      <div *ngIf="profile.region?.country" [routerLink]="['/country', profile.region?.country?.id]">
        {{ 'Economy.Market.Country' | translate }}:
        <a href="/country/{{ profile.region?.country?.id }}">
          {{ profile.region?.country.name }}
        </a>
      </div>
      <button nz-button nzShape="round" nzType="default" nzSize="small" style="width: 80%; margin-top: 5px"
        class="button-text" nzShape="round" (click)="travel()">
        <i class="fas fa-plane-departure" style="margin-right: 5px"></i>
        {{ 'Common.Buttons.Travel' | translate }}
      </button>
    </nz-card>
  </div>
</div>
